# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /Users/cbousseau/work/recipes/aggregate/cython-feedstock/recipe, last modified Sat Mar  4 12:49:51 2023
# ------------------------------------------------

package:
  name: cython
  version: 0.29.32
source:
  sha256: 8733cf4758b79304f2a4e39ebfac5e92341bce47bcceb26c1254398b2f8c1af7
  url: https://pypi.io/packages/source/C/Cython/Cython-0.29.32.tar.gz
build:
  entry_points:
    - cygdb = Cython.Debugger.Cygdb:main
    - cython = Cython.Compiler.Main:setuptools_main
    - cythonize = Cython.Build.Cythonize:main
  number: '0'
  script: /Users/cbousseau/work/recipes/ci_py311/cython_1677952218149/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . --no-deps -vv
  string: py311h313beb8_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_0
    - clang-14 14.0.6 default_hf5194b7_0
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_hf5194b7_0
    - clangxx_osx-arm64 14.0.6 h72866fe_0
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.2 h64d1936_2
    - libclang-cpp14 14.0.6 default_hf5194b7_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.2 hca03da5_6
    - libllvm14 14.0.6 h7ec7a93_1
    - llvm-tools 14.0.6 h7ec7a93_1
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h5a0b063_0
  host:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2023.01.10 hca03da5_0
    - certifi 2022.12.7 py311hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.2 hca03da5_6
    - ncurses 6.4 h313beb8_0
    - openssl 1.1.1t h1a28f6b_0
    - pip 22.3.1 py311hca03da5_0
    - python 3.11.0 hc0d8a6c_2
    - readline 8.2 h1a28f6b_0
    - setuptools 65.5.0 py311hca03da5_0
    - sqlite 3.40.1 h7a7dc30_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.38.4 py311hca03da5_0
    - xz 5.2.10 h80987f9_1
    - zlib 1.2.13 h5a0b063_0
  run:
    - libcxx >=14.0.6
    - python >=3.11,<3.12.0a0
test:
  commands:
    - pip check
    - cython --version
    - cython --help
    - cythonize --help
    - cygdb --help
  files:
    - fib.pyx
  imports:
    - Cython
    - Cython.Build
    - Cython.Build.Tests
    - Cython.Compiler
    - Cython.Compiler.Tests
    - Cython.Debugger
    - Cython.Debugger.Tests
    - Cython.Distutils
    - Cython.Plex
    - Cython.Runtime
    - Cython.Tempita
    - Cython.Tests
    - Cython.Utility
    - pyximport
  requires:
    - pip
about:
  description: 'Cython is an optimising static compiler for both the Python programming

    language and the extended Cython programming language. It makes writing C

    extensions for Python as easy as Python itself.

    '
  dev_url: https://github.com/cython/cython
  doc_url: https://cython.readthedocs.io/en/latest/
  home: https://cython.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: The Cython compiler for writing C extensions for the Python language
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - isuruf
    - jakirkham
    - katietz
    - msarahan
    - ocefpaf
    - scopatz
    - synapticarbors
